#!/bin/bash
set -e

SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )"
NRFJPROG=$(which nrfjprog || true)

if [ ! -x "$NRFJPROG" ]; then
    echo "Cannot find 'nrfjprog' in your PATH. Install the nRF Command Line Tools before you continue:"
    echo "https://www.nordicsemi.com/Products/Development-tools/nRF-Command-Line-Tools/Download"
    exit 1
fi

cd "$SCRIPTPATH"

echo "Flashing board..."
nrfjprog --program firmware.hex -f NRF91 --sectoranduicrerase


if [[ $? -eq 1 ]];
then
    echo "Flashing Failed!"
else
    echo ""
    echo "Flashed your Nordic nRF9160 DK."
    echo "To set up your development with Edge Impulse, run 'edge-impulse-daemon'"
    echo "To run your impulse on your development board, run 'edge-impulse-run-impulse'"
fi
