@ECHO OFF
SETLOCAL ENABLEDELAYEDEXPANSION
setlocal
REM go to the folder where this bat script is located
cd /d %~dp0

where /q nrfjprog

IF ERRORLEVEL 1 (
    GOTO NOTINPATHERROR
)

echo Flashing board...
CALL nrfjprog --program firmware.hex -f NRF91 --sectoranduicrerase

IF %ERRORLEVEL% NEQ 0 (
    GOTO FLASHFAILEDERROR
)


echo Flashed your Nordic nRF9160 DK
echo To set up your development with Edge Impulse, run 'edge-impulse-daemon'
echo To run your impulse on your development board, run 'edge-impulse-run-impulse'
@pause
exit /b 0

:NOTINPATHERROR
echo Cannot find 'nrfjprog' in your PATH. Install the nRF Command Line Tools before you continue:
echo https://www.nordicsemi.com/Products/Development-tools/nRF-Command-Line-Tools/Download
@pause
exit /b 1

:FLASHFAILEDERROR
@pause
exit /b %ERRORLEVEL%
